ActionQuad

com.j0h1.contour.serialized

## Class ActionQuad

- java.lang.Object
- - com.j0h1.contour.serialized.ActionQuad

- All Implemented Interfaces:
    PathAction, java.io.Serializable

      public class ActionQuad
      extends java.lang.Object
      implements PathAction, java.io.Serializable

  Serialized representation of a quadTo action, that can be assigned to a Path.
  Author:
    Johannes Riedmann
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.j0h1.contour.serialized.PathAction

      `PathAction.PathActionType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `private float` | `x1`
    `private float` | `x2`
    `private float` | `y1`
    `private float` | `y2`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionQuad(float x1, float y1, float x2, float y2)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PathAction.PathActionType` | `getType()`
    `float` | `getX1()`
    `float` | `getX2()`
    `float` | `getY1()`
    `float` | `getY2()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### x1

          private float x1

    - #### y1

          private float y1

    - #### x2

          private float x2

    - #### y2

          private float y2

  - ### Constructor Detail

    - #### ActionQuad

          public ActionQuad(float x1,
                            float y1,
                            float x2,
                            float y2)

  - ### Method Detail

    - #### getType

          public PathAction.PathActionType getType()

      Specified by:
        `getType` in interface `PathAction`

    - #### getX1

          public float getX1()

    - #### getY1

          public float getY1()

    - #### getX2

          public float getX2()

    - #### getY2

          public float getY2()